/* ===========================================================================
 * IBA CZ Confidential
 *
 * © Copyright IBA CZ 2009 ALL RIGHTS RESERVED
 * The source code for this program is not published or otherwise
 * divested of its trade secrets.
 *
 * =========================================================================== */ 

package eu.ibacz.pv230.simpleshop.backend.dto;

import java.math.BigDecimal;

/**
 *
 * @author Rastislav Papp
 */
public class BasketItemDTO {

    private Long id;
    private ProductDTO product;
    private int amount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int getAmount() {
        return amount;
    }

    public void setAmount(int amount) {
        this.amount = amount;
    }

    public ProductDTO getProduct() {
        return product;
    }

    public void setProduct(ProductDTO product) {
        this.product = product;
    }
    
    public BigDecimal getPrice() {
        if (product == null) {
            return BigDecimal.ZERO;
        }
        return product.getPrice().multiply(new BigDecimal(amount));
    }
    
}
