
<%@include file="../init.jspf" %>

<f:setBundle basename="content.catalog"/>

<%@page import="static eu.ibacz.pv230.simpleshop.portlet.catalog.CatalogConstants.*" %>

<portlet:resourceURL var="queryURL" id="<%= RESOURCE_QUERY %>"/>

<script type="text/javascript">
    jQuery(document).ready(function(){
        jQuery('#${ns}query').autocomplete({
            url: "${queryURL}"
        });
    });
</script>

<div id="${ns}catalogView">

    <h1><f:message key="ss-msg-products" /></h1>


    <div>
        <portlet:actionURL var="searchURL" name="<%=ACTION_SEARCH %>"/>
        <form action="${searchURL}" method="post">
            <input type="text" name="<%= PARAM_QUERY %>" id="${ns}query" autocomplete="off">
            <input type="submit" value="<f:message key="ss-msg-search"/>">
        </form>
    </div>

    <portlet:resourceURL var="detailIconURL" id="<%=ICON_DETAIL %>" cacheability="cacheLevelFull" />
    <%-- pridat --%>
    <c:forEach var="product" items="${products}">

        <portlet:renderURL var="showDetailURL">
            <portlet:param name= "<%= PARAM_PRODUCT_ID %>" value="${product.id}"/>
        </portlet:renderURL>
        <a href="${showDetailURL}">
            <c:out value= "${product.name}"/> <img src="${detailIconURL}" alt="detail"> <br>
        </a>




    </c:forEach>

</div>